Skip to content
API Reference
Sharing

Actions sharing

Actions sharing in Prism / Objects / Actions — Micro Go reference.

Reference for Go SDK 0.8.0.

Release source · Setup and client configuration

Update

PUT /v2/prism/{teamId}/action/{actionId}/grant

client.Prism.Objects.Actions.Grant.Update(ctx context.Context, actionID string, params micro.PrismObjectActionGrantUpdateParams) (*micro.PrismObjectActionGrantUpdateResponse, error)

Update grant

Get

GET /v2/prism/{teamId}/action/{actionId}/grant

client.Prism.Objects.Actions.Grant.Get(ctx context.Context, actionID string, query micro.PrismObjectActionGrantGetParams) (*micro.PrismObjectActionGrantGetResponse, error)

Get grant

Parameter and response types

These declarations show the request parameters and response shapes used by the methods above.

PrismObjectActionGrantUpdateResponse

Source

type PrismObjectActionGrantUpdateResponse struct {
	TeamGroupID []map[string]PrismObjectActionGrantUpdateResponseTeamGroupID `json:"team_group_id"`
	TeamID      map[string]PrismObjectActionGrantUpdateResponseTeamID        `json:"team_id"`
	UserID      []map[string]PrismObjectActionGrantUpdateResponseUserID      `json:"user_id"`
	JSON        prismObjectActionGrantUpdateResponseJSON                     `json:"-"`
}

PrismObjectActionGrantGetResponse

Source

type PrismObjectActionGrantGetResponse struct {
	TeamGroupID []map[string]PrismObjectActionGrantGetResponseTeamGroupID `json:"team_group_id"`
	TeamID      map[string]PrismObjectActionGrantGetResponseTeamID        `json:"team_id"`
	UserID      []map[string]PrismObjectActionGrantGetResponseUserID      `json:"user_id"`
	JSON        prismObjectActionGrantGetResponseJSON                     `json:"-"`
}

PrismObjectActionGrantUpdateParams

Source

type PrismObjectActionGrantUpdateParams struct {
	// Use [option.WithTeamID] on the client to set a global default for this field.
	PathTeamID     param.Field[string]                                                     `path:"teamId" api:"required" format:"uuid"`
	TeamGroupID    param.Field[[]map[string]PrismObjectActionGrantUpdateParamsTeamGroupID] `json:"team_group_id"`
	BodyTeamID     param.Field[map[string]PrismObjectActionGrantUpdateParamsTeamID]        `json:"team_id"`
	UserID         param.Field[[]map[string]PrismObjectActionGrantUpdateParamsUserID]      `json:"user_id"`
	IdempotencyKey param.Field[string]                                                     `header:"Idempotency-Key"`
}

PrismObjectActionGrantGetParams

Source

type PrismObjectActionGrantGetParams struct {
	// Use [option.WithTeamID] on the client to set a global default for this field.
	TeamID param.Field[string] `path:"teamId" api:"required" format:"uuid"`
}

PrismObjectActionGrantUpdateResponseTeamGroupID

Source

type PrismObjectActionGrantUpdateResponseTeamGroupID string

PrismObjectActionGrantUpdateResponseTeamID

Source

type PrismObjectActionGrantUpdateResponseTeamID string

PrismObjectActionGrantUpdateResponseUserID

Source

type PrismObjectActionGrantUpdateResponseUserID string

PrismObjectActionGrantGetResponseTeamGroupID

Source

type PrismObjectActionGrantGetResponseTeamGroupID string

PrismObjectActionGrantGetResponseTeamID

Source

type PrismObjectActionGrantGetResponseTeamID string

PrismObjectActionGrantGetResponseUserID

Source

type PrismObjectActionGrantGetResponseUserID string

PrismObjectActionGrantUpdateParamsTeamGroupID

Source

type PrismObjectActionGrantUpdateParamsTeamGroupID string

PrismObjectActionGrantUpdateParamsTeamID

Source

type PrismObjectActionGrantUpdateParamsTeamID string

PrismObjectActionGrantUpdateParamsUserID

Source

type PrismObjectActionGrantUpdateParamsUserID string
micro.so